    001    /* ===========================================================
    002     * JFreeChart : a free chart library for the Java(tm) platform
    003     * ===========================================================
    004     *
    005     * (C) Copyright 2000-2005, by Object Refinery Limited and Contributors.
    006     *
    007     * Project Info:  http://www.jfree.org/jfreechart/index.html
    008     *
    009     * This library is free software; you can redistribute it and/or modify it
    010     * under the terms of the GNU Lesser General Public License as published by
    011     * the Free Software Foundation; either version 2.1 of the License, or
    012     * (at your option) any later version.
    013     *
    014     * This library is distributed in the hope that it will be useful, but
    015     * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016     * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017     * License for more details.
    018     *
    019     * You should have received a copy of the GNU Lesser General Public
    020     * License along with this library; if not, write to the Free Software
    021     * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022     * USA.
    023     *
    024     * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
    025     * in the United States and other countries.]
    026     *
    027     * -------------------------------
    028     * StatisticalCategoryDataset.java
    029     * -------------------------------
    030     * (C) Copyright 2002-2005, by Pascal Collet and Contributors.
    031     *
    032     * Original Author:  Pascal Collet;
    033     * Contributor(s):   David Gilbert (for Object Refinery Limited);
    034     *
    035     * $Id: StatisticalCategoryDataset.java,v 1.2.2.1 2005/10/25 21:34:46 mungady Exp $
    036     *
    037     * Changes
    038     * -------
    039     * 21-Aug-2002 : Version 1, contributed by Pascal Collet (DG);
    040     * 07-Oct-2002 : Fixed errors reported by Checkstyle (DG);
    041     * 24-Oct-2002 : Amendments in line with changes to the CategoryDataset
    042     *               interface (DG);
    043     *
    044     */
    045
    046    package org.jfree.data.statistics;
    047
    048    import org.jfree.data.category.CategoryDataset;
    049
    050    /**
    051     * A category dataset that defines a median and standard deviation value for
    052     * each item.
    053     *
    054     * @author Pascal Collet
    055     */
    056    public interface StatisticalCategoryDataset extends CategoryDataset {
    057
    058        /**
    059         * Returns the mean value for an item.
    060         *
    061         * @param row  the row index (zero-based).
    062         * @param column  the column index (zero-based).
    063         *
    064         * @return The mean value.
    065         */
    066        public Number getMeanValue(int row, int column);
    067
    068        /**
    069         * Returns the mean value for an item.
    070         *
    071         * @param rowKey  the row key.
    072         * @param columnKey  the columnKey.
    073         *
    074         * @return The mean value.
    075         */
    076        public Number getMeanValue(Comparable rowKey, Comparable columnKey);
    077
    078        /**
    079         * Returns the standard deviation value for an item.
    080         *
    081         * @param row  the row index (zero-based).
    082         * @param column  the column index (zero-based).
    083         *
    084         * @return The standard deviation.
    085         */
    086        public Number getStdDevValue(int row, int column);
    087
    088        /**
    089         * Returns the standard deviation value for an item.
    090         *
    091         * @param rowKey  the row key.
    092         * @param columnKey  the columnKey.
    093         *
    094         * @return The standard deviation.
    095         */
    096        public Number getStdDevValue(Comparable rowKey, Comparable columnKey);
    097
    098    }
    099